PCAP_MAJOR_VERSION(3) | Library Functions Manual | PCAP_MAJOR_VERSION(3)

# NAME

pcap_major_version, pcap_minor_version - get the version number of a savefile

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_major_version(pcap_t *p);
int pcap_minor_version(pcap_t *p);

# DESCRIPTION

If p refers to a ``savefile'', pcap_major_version() returns the major number of the file format of the ``savefile'' and pcap_minor_version() returns the minor number of the file format of the ``savefile''. The version number is stored in the ``savefile''; note that the meaning of its values depends on the type of ``savefile'' (for example, pcap or pcap-NG).

If p refers to a live capture, the values returned by pcap_major_version() and pcap_minor_version() are not meaningful.

# SEE ALSO

pcap(3)

5 April 2008 |